# $Revision: 1.29 $, $Date: 2006/05/21 17:19:47 $
# TODO
# - cc, cflags
#
# Conditional build:
%bcond_without	version		# show shorter version string answering the version query
#
Summary:	ICQ transport daemon for Jabber
Summary(pl):	Demon transportowy ICQ dla systemu Jabber
Name:		jit
Version:	1.1.7
Release:	2
License:	GPL
Group:		Applications/Communications
#Source0:	http://files.jabberstudio.org/jit/%{name}-%{version}.tar.gz
Source0:	http://www.jabber.ru/files/jit/%{name}-%{version}.tar.gz
# Source0-md5:	5400bd79d5014fef35fed2195967e5ae
Source1:	%{name}.xml
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Patch0:		%{name}-version.patch
URL:		http://jit.jabberstudio.org/
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post):	jabber-common
Requires(post):	sed >= 4.0
Requires(post):	textutils
Requires(post,preun):	/sbin/chkconfig
Requires:	jabber-common
Requires:	rc-scripts
Obsoletes:	jabber-icq-transport
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This daemon allows Jabber to communicate with ICQ servers.

%description -l pl
Demon ten umoliwia uytkownikom Jabbera komunikowanie si z
uytkownikami ICQ.

%prep
%setup -q
%{!?with_version:%patch0 -p1}

%build
%configure
%{__make}
%{__make} -C xdb_file

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_sysconfdir}/jabber,%{_libdir}/jit,/var/log/%{name}} \
	$RPM_BUILD_ROOT{/etc/{rc.d/init.d,sysconfig},/var/lib/%{name}}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/jabber
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

install jabberd/jabberd-jit $RPM_BUILD_ROOT%{_sbindir}/jit
install jit/jit.so xdb_file/xdb_file.so $RPM_BUILD_ROOT%{_libdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_sysconfdir}/jabber/secret ] ; then
	SECRET=`cat %{_sysconfdir}/jabber/secret`
	if [ -n "$SECRET" ] ; then
		echo "Updating component authentication secret in jit.xml..."
		%{__sed} -i -e "s/>secret</>$SECRET</" %{_sysconfdir}/jabber/jit.xml
	fi
fi
/sbin/chkconfig --add jit
%service jit restart "Jabber ICQ transport daemon"

%preun
if [ "$1" = "0" ]; then
	%service jit stop
	/sbin/chkconfig --del jit
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS jit/ChangeLog README jit/TODO jit/INSTALL doc/FAQ
%attr(755,root,root) %{_sbindir}/*
%attr(640,root,jabber) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/jabber/jit.xml
%attr(754,root,root) /etc/rc.d/init.d/jit
%{_libdir}/jit
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/jit
%attr(770,root,jabber) /var/log/%{name}
%attr(770,root,jabber) /var/lib/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jit.spec,v $
Revision 1.29  2006/05/21 17:19:47  glen
- rel 2

Revision 1.28  2006/05/21 17:19:38  glen
- add todo

Revision 1.27  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.26  2006/01/14 16:43:04  hawk
- updated to 1.1.7
- note: this is not an official release, but project page at jabberstudio
  seems to be dead and this version fixes most of known bugs in jit 1.1.6

Revision 1.25  2005/06/06 17:05:30  zbyniu
- BR: libstdc++-devel; sorted verify() flags

Revision 1.24  2005/05/07 17:23:03  darekr
- gpm-friendly Source0

Revision 1.23  2004/02/15 16:24:00  eothane
- bconds, changelog cleanups

Revision 1.22  2003/12/11 16:11:36  undefine
- patch to allow build on gcc33 (nfy)

Revision 1.21  2003/12/11 15:56:23  undefine
- release 2 to rebuild with ac

Revision 1.20  2003/09/30 11:54:35  qboosh
- added post deps

Revision 1.19  2003/09/17 13:56:49  jajcus
- include xdb_file.so
- /var/lib/jit directory added
- modules in /usr/lib/jit, not /usr/lib/jabberd

Revision 1.18  2003/09/16 15:23:38  jajcus
- Obsoletes: jabber-icq-transport

Revision 1.17  2003/09/16 11:26:44  jajcus
- common environmet for jabber services in the jabber-common package

Revision 1.16  2003/09/16 06:48:54  jajcus
- add jabber uid/gid in %pre

Revision 1.15  2003/08/18 08:08:12  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/06/18 19:10:33  pascalek
- updated to 1.1.6

Revision 1.13  2003/05/28 12:59:15  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 05:49:09  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/22 19:43:35  rrw
- added bcond to make returned after query version string a bit shorter;
- release 1;

Revision 1.10  2003/03/13 19:55:26  pawel
- updated to 1.1.5

Revision 1.9  2003/02/20 13:57:58  pawel
- uptaded to 1.1.4

Revision 1.8  2003/02/02 09:47:57  pawel
- removed script
- cosmetics

Revision 1.7  2003/02/01 14:03:14  pawel
- uptaded to 1.1.3

Revision 1.6  2003/01/09 10:23:57  qboosh
- added Requires(post,preun)

Revision 1.5  2003/01/08 19:14:01  mmazur
- added missing chkconfig

Revision 1.4  2003/01/06 21:35:51  mmazur
- works as expected :) (almost... somebody fix the icqtrans module problem)

Revision 1.3  2003/01/05 18:20:12  mmazur
- Req: jabber-icq-transport (I think it's needed)

Revision 1.2  2003/01/05 18:14:05  mmazur
- finished... only jit.init left

Revision 1.1  2003/01/05 00:55:12  mmazur
- Jabber ICQ Transport Daemon... initial revision nfy
- needs init scripts, betterx config (jit.xml) & some polishing
